%define section         free
%define gcj_support     1

Name:           sleep
Version:        2.1
Release:        %mkrel 2.0.1
Epoch:          2
Summary:        Perl inspired embedable scripting language for Java applications
License:        LGPL
URL:            http://sleep.hick.org/
Group:          Development/Java
Source0:        http://sleep.dashnine.org/download/sleep21.tgz
Patch0:         sleep-crosslink.patch
Patch1:         sleep-build.patch
BuildRequires:  ant >= 0:1.6
BuildRequires:  java-javadoc
BuildRequires:  java-rpmbuild >= 0:1.5
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Sleep is a perl inspired embed-able scripting language for Java 
applications. The main goals of sleep are easy to learn, easy to 
use, and easy to integrate.

Sleep source and binaries are released under the GNU Lesser General 
Public License History:

Sleep came from an inspired weekend of coding in April 2002. Since 
then Sleep has been developed in parallel with the Java IRC Client, 
jIRCii. Nearly three years later Sleep is a stable and ready to use 
solution for scripting Java applications. Features:

    * Perl inspired language syntax
    * Fast execution/small runtime size (160 KB)
    * Parsed scripts can be serialized
    * Easy API for making application data structures/functionality
      available to scripters
    * Full documentation for application developers and end-user scripters

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%{__perl} -pi -e 's/\r$//g' docs/parser.htm docs/common.htm license.txt

%build
%{ant} -Djava.javadoc=%{_javadocdir}/java jar docs-full

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -a %{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} ${jar/-%{version}/}; done)

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%{gcj_compile}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc license.txt readme.txt whatsnew.txt docs/*
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{gcj_files}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2:2.1-2.0.1mdv2009.0
+ Revision: 269252
- rebuild early 2009.0 package (before pixel changes)

* Thu Aug 07 2008 David Walluck <walluck@mandriva.org> 1:2.1.26-0.0.1mdv2009.0
+ Revision: 266824
- 2.1.26
- 2.1.26

* Fri May 09 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:2.1.25-0.0.1mdv2009.0
+ Revision: 204948
- new version

* Sat May 03 2008 David Walluck <walluck@mandriva.org> 1:2.1.20-0.0.3mdv2009.0
+ Revision: 200557
- add sleep-build.patch
- fix javadoc install
- add whatsnew.txt

* Sat May 03 2008 David Walluck <walluck@mandriva.org> 1:2.1.20-0.0.2mdv2009.0
+ Revision: 200554
- actually use sleep21b20.tgz
- 2.1-b20

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 1:2.1.19-2mdv2008.1
+ Revision: 121023
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Fri Oct 26 2007 David Walluck <walluck@mandriva.org> 1:2.1.19-1mdv2008.1
+ Revision: 102442
- 2.1-b19

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 1:2.1.18-2mdv2008.0
+ Revision: 87364
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Thu Jul 05 2007 David Walluck <walluck@mandriva.org> 1:2.1.18-1mdv2008.0
+ Revision: 48692
- 2.1-b18
- 2.1.16

* Fri Apr 27 2007 David Walluck <walluck@mandriva.org> 1:2.1.15-1mdv2008.0
+ Revision: 18552
- 2.1b15


* Mon Mar 26 2007 David Walluck <walluck@mandriva.org> 1:2.1-0.b14.2mdv2007.1
+ Revision: 148788
- bump release
- include correct version of sources

* Mon Mar 26 2007 David Walluck <walluck@mandriva.org> 1:2.1-0.b14.1mdv2007.1
+ Revision: 148782
- 2.1b14

* Sun Mar 18 2007 David Walluck <walluck@mandriva.org> 1:2.1-0.b13.1mdv2007.1
+ Revision: 146344
- 2.1b13

* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 1:2.1-0.b12.1mdv2007.1
+ Revision: 141603
- 2.0b12
- 2.1b10

* Fri Nov 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.1-0.b9.2mdv2007.0
+ Revision: 80601
- Fix Group

* Mon Nov 06 2006 David Walluck <walluck@mandriva.org> 1:2.1-0.b9.1mdv2007.1
+ Revision: 76851
- 2.1b9

* Mon Oct 30 2006 David Walluck <walluck@mandriva.org> 1:2.1-0.b8.1mdv2007.1
+ Revision: 73691
- 2.1b8

* Fri Oct 27 2006 David Walluck <walluck@mandriva.org> 1:2.1-0.b7.1mdv2007.1
+ Revision: 72996
- Import sleep

* Sat Oct 21 2006 David Walluck <david@jpackage.org> 1:2.1-0.b7.1mdv2007.1
- 2.1b7

* Wed May 04 2005 David Walluck <david@jpackage.org> 1:2.0-0.b6.2jpp
- add array patch from sleep 050105

* Mon Apr 25 2005 David Walluck <david@jpackage.org> 1:2.0-0.b6.1jpp
- 2.0b6

* Mon Mar 14 2005 David Walluck <david@jpackage.org> 0:05.02.28-1jpp
- 05.02.28

* Wed Feb 16 2005 David Walluck <david@jpackage.org> 0:05.02.12-2jpp
- fix source

* Wed Feb 16 2005 David Walluck <david@jpackage.org> 0:05.02.12-1jpp
- 05.02.12

* Sun Jan 30 2005 David Walluck <david@jpackage.org> 0:05.01.29-1jpp
- release

